import { RTEBlock } from '../../../dto/blocks/block.abstract';
import { RTENode } from '../../../dto/nodes/node.abstract';
import { VegaRTEBlockBase, VegaRTETransformOptions } from '../../../interface';
import { RTETableBlock } from './table-block';
import { RTETableRowBlock, VegaRTETableRowBlock } from './table-row-block';
export declare type VegaRTETableBodyBlock = VegaRTEBlockBase & {
  type: string;
  children: VegaRTETableRowBlock[];
};
/**
 * Class representing a table body block in the rich text editor.
 */
export declare class RTETableBodyBlock extends RTEBlock<RTETableBlock, RTETableRowBlock> {
  static readonly dtoName: string;
  readonly dtoName: string;
  type: string;
  parent: RTETableBlock;
  children: RTETableRowBlock[];
  constructor(id: string);
  /**
   * @inheritDoc
   */
  static from(block: VegaRTETableBodyBlock, options?: VegaRTETransformOptions): RTETableBodyBlock;
  /**
   * @inheritDoc
   */
  clone(parent: RTETableBlock): RTETableBodyBlock;
  /**
   * @inheritDoc
   */
  getLastNode(): RTENode;
  /**
   * @inheritDoc
   */
  isNotEmpty(): boolean;
  /**
   * @inheritDoc
   */
  toHtml(options?: VegaRTETransformOptions): string;
  /**
   * @inheritDoc
   */
  toJSON(): VegaRTETableBodyBlock;
}
